On Tue, 31 Jul 2007, Adam J Richardson wrote:

Noah wrote:

Hi,

any clues on how to cure this situation. It appears I am having difficulties removing stale dependencies.

access1# portupgrade -a
Stale dependency: Xaw3d-1.5E_2 <-- emacs-21.3_9 -- manually run 'pkgdb -F' to fix, or specify -O to force.
access1# portupgrade -
access1# pkgdb -F
--->  Checking the package registry database
access1# pkgdb -FO
--->  Checking the package registry database
access1# portupgrade -a
Stale dependency: Xaw3d-1.5E_2 <-- emacs-21.3_9 -- manually run 'pkgdb -F' to fix, or specify -O to force.

Cheers,

Noah

Hi Noah,

I get this a lot on one of my systems. Just that one - no idea why. Anyway, I find including option -O allows most things to ignore stale links, including portupgrade.

Oh - did you try installing portupgrade-devel and not portupgrade? That helped me out of a hole once and now I use it for everything.

HtH,
Adam J Richardson

Simply put, emacs is a trouble maker with all of the versions that are 
available in the source tree.

I think that porters are working on improving the system in place.

-Garrett

_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to